#include <bits/stdc++.h>
using namespace std;

int n;
long double ans;
long long sum[200005];
pair<long double, int> ar[200005];

int main() {
  cin >> n;
  for (int i = 0; i < n; i++) {
    cin >> ar[i].second;
    cin >> ar[i].first;
    ar[i].first /= 100.0;
  }
  sort(ar, ar + n);
  for (int i = n - 1; i >= 0; i--) {
    sum[i] = sum[i + 1] + ar[i].second;
  }
  for (int i = 0; i < n; i++) {
    ans = max(ans, sum[i] * ar[i].first);
  }
  cout << setprecision(6) << fixed << ans << '\n';
  return 0;
}